> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/wraplayer.md).

# WrapLayer

WrapLayer : `Instance`

## Overview

A WrapLayer defines the inner and outer surfaces of a character to make sure accessories are positioned naturally.

## Properties

### Order

`number`

It also determines the stacking order of layered clothing on a character. Items with a higher Order value appear on top, and if multiple items share the same value, the application order may vary depending on the serialization process.

#### Code Samples

```lua
WrapLayer.Order = 1
```

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/wraplayer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
